Page MenuHomePhabricator

Remove concept of "large" icon in MF/Minerva
Closed, ResolvedPublic3 Estimate Story Points

Description

Description

This is part of the icon refactoring effort T229440. Initially we thought it made sense to create three standard icon sizes: small, medium, and large. However our audit showed that there is not currently any sensible standard for "large". The few icons we've found that are larger than "medium" range from 40x40px to 275x175px, and in some cases are more like images/graphics than icons. We don't see value in creating a standard at this time.

icons in the interface that are larger than "medium" (20x20px)

QA steps

We'll want to verify we see icons on the following pages:

QA Results

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterRemove "large" icons

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptAug 30 2019, 7:50 PM
ovasileva triaged this task as Medium priority.Sep 3 2019, 9:36 AM
ovasileva set the point value for this task to 3.Sep 3 2019, 4:16 PM

Change 534607 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/extensions/MobileFrontend@master] Remove "large" icons

https://gerrit.wikimedia.org/r/534607

Change 534607 merged by Jdlrobson:
[mediawiki/extensions/MobileFrontend@master] Remove "large" icons

https://gerrit.wikimedia.org/r/534607

Jdlrobson reassigned this task from Jdrewniak to Edtadros.Sep 6 2019, 7:34 PM
Jdlrobson updated the task description. (Show Details)
Edtadros reassigned this task from Edtadros to ovasileva.Sep 9 2019, 4:26 PM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA steps

✅ AC1: https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Nearby


✅ AC2: https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Watchlist (log in as a new user with an empty watchlist)

✅ AC3: Perform a search for Sp - make sure thumbnails show for articles without images. Search for Spain to see some results which do have images

✅ AC4: Trigger AMC (incognito window as account with AMC disabled) and make sure the AMC graphic is still showing{F30282789}

Edtadros updated the task description. (Show Details)Sep 9 2019, 4:27 PM
ovasileva closed this task as Resolved.Sep 11 2019, 9:15 AM
DannyS712 added a subscriber: DannyS712.

[batch] remove patch for review tag from resolved tasks